import { useState, useEffect } from "react";
import { useSelector } from "react-redux";
import Taro from "@tarojs/taro";
import { queryActivityList } from "@/services/activity";
import { Swiper, SwiperItem, Block } from "@tarojs/components";
import "@/assets/css/iconfont.css";
import "./index.scss";

export default function HotRecommend(props) {
  const { change = () => {} } = props;
  const city = useSelector((state) => state.city);
  const [CurrentId, setCurrentId] = useState("dymic");
  const [list, setList] = useState([[], []]);
  const [CurrentContentInfo, setCurrentContentInfo] = useState({});

  useEffect(() => {
    if (city.curCity.name) {
      GetRecommendActivity();
    }
  }, [city]);

  const GetRecommendActivity = () => {
    // queryActivityList({ home: 1, cityId: city.curCity.id, type: 'dymic' }).then((res) => {
    //   const resArr = res.records || []
    //   queryActivityList({ home: 1, cityId: city.curCity.id, type: 'house' }).then((subRes) => {
    //     const subResArr = subRes.records || []
    //     setList([resArr || [], subResArr || []])
    //     change(resArr.length || subResArr.length)
    //   })
    // })
  };

  return (
    <view className="components NewestNnews">
      <view className="content">
        <view className="icon">
          <text className="iconfont icon-shoucang"></text>
        </view>
        <view className="newstype">成交喜报</view>
        <view className="newstext">
          <text
            className="looptext"
            style={{ animation: "10s loop linear infinite normal" }}
          >
            <text>2222222222222222233333333333333333333333</text>
            <text>9999999996666666666666665555555555555544</text>
            <text>5548888888888888888777773333333333333222</text>
          </text>
        </view>
      </view>
    </view>
  );
}
