import { useState, useEffect } from "react";
import Taro from "@tarojs/taro";
import { ScrollView, Input, Image, Block, Textarea } from '@tarojs/components'
import "./index.scss";

export default (props) => {
  const { title,onChanel } = props;

  const [FormData, setFormData] = useState({
    name: '',
    phone: '',
    description: ''
  })

  const FormChange = (key, e) => {
    let Data = { ...FormData }
    Data[key] = e.detail.value
    setFormData(Data)
  }

  return (
    <view className="AddIdentityCard">
    

          <text>持卡人</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
              <Input placeholder='请输入用户名' value={FormData.name} onInput={FormChange.bind(this, 'name')}></Input>
            </view>
          </view>

          <text>开户行</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
              <Input placeholder='请输入开户行' value={FormData.phone} onInput={FormChange.bind(this, 'phone')}></Input>
            </view>
          </view>

          <text>银行卡号</text>
          <view className='FormLine flex-h'>
            <view className='flex-item'>
              <Input placeholder='请输入银行卡号' value={FormData.phone} onInput={FormChange.bind(this, 'phone')}></Input>
            </view>
          </view>

          <view className='Btn'>
          <text >确定</text>
          <text onClick={()=>onChanel()} >取消</text>
        </view>
    </view>
  );
};
